[Numpy-discussion] python3 setup.py install fails with git maint/1.6.x

Darren Dale dsdale24 at gmail.com
Mon Apr 4 15:41:17 EDT 2011


On Mon, Apr 4, 2011 at 3:31 PM, Ralf Gommers
<ralf.gommers at googlemail.com> wrote:
> On Mon, Apr 4, 2011 at 9:15 PM, Darren Dale <dsdale24 at gmail.com> wrote:
>> I just checkout out the 1.6 branch, attempted to install with python3:
>
> I hope you mean the 1.6.0b1 tarball, not the current branch head? This
> problem is (or should have been) fixed.

It was the branch HEAD...

> Just tried again with python3.2 and 1.6.0b2, installs fine. The line
> it fails on is only reached when a numpy/version.py exists, which is
> the case for source releases or if you did not clean your local git
> repo before building.

... but I think this was the case. I just deleted numpy/version.py,
and build/, and now everything is ok.

Darren



More information about the NumPy-Discussion mailing list